# MatFDColoringGetFrequency

Gets the frequency for computing new Jacobian matrices.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatFDColoringGetFrequency(MatFDColoring matfd,PetscInt *freq)

Not Collective

### Input Parameters

coloring -the coloring context

### Output Parameters

freq -frequency (default is 1)

### Options Database Keys

-mat_fd_coloring_freq <freq> -Sets coloring frequency

### Notes

Using a modified Newton strategy, where the Jacobian remains fixed for several iterations, can be cost effective in terms of overall nonlinear solution efficiency. This parameter indicates that a new Jacobian will be computed every <freq> nonlinear iterations.

### Keywords

Mat, finite differences, coloring, get, frequency

### See Also

MatFDColoringSetFrequency()

Level:advanced
Location: src/mat/matfd/fdmatrix.c
Index of all MatFD routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex5.c.html